#include <main.h>
#define LCD_ENABLE_PIN PIN_B0
#define LCD_RS_PIN PIN_B2
#define LCD_RW_PIN PIN_B1
#define LCD_Data4 PIN_B4
#define LCD_Data5 PIN_B5
#define LCD_Data6 PIN_B6
#define LCD_Data7 PIN_B7


#include <lcd.c>


void main()
{

   unsigned SHORT mem_PIN_A0, mem_PIN_A1, mem_PIN_A2;
   unsigned SHORT old_PIN_A0, old_PIN_A1, old_PIN_A2;
   
   setup_timer_3(T3_DISABLED | T3_DIV_BY_1);
   setup_timer_4(T4_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);// This device COMP currently not supported by the PICWizard

  lcd_init();
  printf(lcd_putc,"Bonjour");
  
      mem_pin_A0 = input(pin_A0);
      mem_pin_A1 = input(pin_A1);
      mem_pin_A2 = input(pin_A2);

   WHILE (TRUE)
   {
         old_pin_A0 = mem_pin_A0;
         old_pin_A1 = mem_pin_A1;
         old_pin_A2 = mem_pin_A2;  
         mem_pin_A0 = input(pin_A0);
         mem_pin_A1 = input(pin_A1);
         mem_pin_A2 = input(pin_A2);
      IF ((mem_pin_A0==0) && (old_pin_A0== 1))
        {
         printf(lcd_putc,"\fBouton rouge");
         output_high(PIN_C0);
        }
    
      IF ((mem_pin_A1==0) && (old_pin_A1== 1))
       {
         printf(lcd_putc,"\fBouton vert");
         output_low(PIN_C0);
       }
      IF ((mem_pin_A2==0) && (old_pin_A2== 1))
           printf(lcd_putc,"\fBouton bleu");
   }

}
